Forgot password?

Create an account!

Forum

« back

RhinoScript – Array for points

Messages

Please log in to write a message.

  • 2. Khoda (Mar 07, 2009 17.34):

    Here is my code where the last command "Rhino.AddCurve arrPointLoop" dont execute.

    no=0
    For abcde = 0 To UBound(arrContourPoints)
    ReDim Preserve arrPointLoop(UBound(arrContourPoints))
    check=0
    check2=0

    For abc=1 To inti2
    ptCompare=Rhino.PointCompare(extPt(abcde), extPt(intC1SP(abc)))
    If ptCompare=False And check=0 And check2=0 Then

    arrPointLoop(no)=extPt(abcde)
    Rhino.DeleteObject arrContourCurve(abcde)

    check=check+1
    no=no+1
    End If
    If ptCompare=True And check2=0 Then

    arrPointLoop(no)=extPt(intC1SP(abc))
    Rhino.DeleteObject arrContourCurve(intC1SP(abc))
    arrPointLoop(no+1)=IntersectioPoint(abc)
    Rhino.DeleteObject C1StPttoIntsec(abc)
    Rhino.DeleteObject C2EndPttoIntsec(abc)

    check2=check2+1

    no=no+2
    End If
    Next
    Next
    Rhino.AddCurve arrPointLoop

    Thank you for looking.

  • 1. Khoda (Mar 07, 2009 16.14):

    I have an array inside a for loop storing point data for that loop. Now I want to use those points to addpolyline statement outside that loop. But I cant do it. can somemone please give me a suggestion.

Recommend

Why are these buttons gray?